This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 815894 - OpenShift Origin: Unable to install the Ruby on Rails sample app
OpenShift Origin: Unable to install the Ruby on Rails sample app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 14:25 EDT by Attila Nagy
Modified: 2015-05-14 18:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:46:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux details (8.39 KB, text/x-log)
2012-04-24 14:32 EDT, Attila Nagy
no flags Details

  None (edit)
Description Attila Nagy 2012-04-24 14:25:42 EDT
Description of problem: When I'm using OpenShift Origin LiveCD image I'm unable to install the sample rail application from github.com. SELinux error is shown.


Version-Release number of selected component (if applicable):
The current version of openshift_origin.iso
CentOS6 with Virtualbox and KVM


How reproducible: Always


Steps to Reproduce:
1. Download and boot up from openshift_origin.iso
2. Create your domain
3. rail app create -a myrubyapp -t python-1.8 -l admin
4. cd myrubyapp
5. git remote add upstream -m master git://github.com/openshift/rails-example.git
6. git pull -s recursive -X theirs upstream master
7. git push
  

Actual results: On the application URL the application shows error and on the desktop SELinux error is shown


Expected results: The application must be avaialable without any error messages


Additional info:
Comment 1 Attila Nagy 2012-04-24 14:32:39 EDT
Created attachment 579953 [details]
SELinux details
Comment 2 Mrunal Patel 2012-04-24 20:20:33 EDT
I have committed an updated selinux policy. The issue should be fixed in the image
built after that commit.
Comment 3 Peter Ruan 2012-04-25 14:40:27 EDT
verified with the latest .iso of md5sum 86ded70d305fa5611f1ffb7c335f4196

Note You need to log in before you can comment on or make changes to this bug.